<template>
  <div class="mt-3">
    <a-card class="border-0 shadow-sm">
      <a-table
        :columns="columns"
        :data-source="portfolios"
        rowKey="id"
        :loading="loading"
        :row-class-name="customRowClass"
        :custom-row="customRow"
      >
      </a-table>
    </a-card>
  </div>
</template>

<script>
export default {
  props: ["portfolios", "loading"],
  data() {
    return {
      columns: [
        {
          dataIndex: "title",
          title: "Título",
          sortable: true,
          sortDirection: "desc",
        },
      ],
    };
  },
  methods: {
    // Emit Drawer
    handleShowDrawerForm() {
      this.$emit("emit-show-drawer-form", true);
    },
    // Emit Drawer
    handleShowDrawerEdit(user) {
      this.$emit("emit-show-drawer-edit", Object.assign({}, user));
    },
    // Emit Drawer
    handleShowDrawerView(user) {
      this.$emit("emit-show-drawer-view", Object.assign({}, user));
    },
    customRow(record) {
      return {
        on: {
          click: () => {
            this.handleShowDrawerView(record);
          },
        },
      };
    },
    customRowClass() {
      return "cursor-pointer";
    },
  },
};
</script>
